Index: /XIOS/dev/dev_olga/src/interface/fortran_attr/ifile_attr.F90
===================================================================
--- /XIOS/dev/dev_olga/src/interface/fortran_attr/ifile_attr.F90	(revision 1157)
+++ /XIOS/dev/dev_olga/src/interface/fortran_attr/ifile_attr.F90	(revision 1158)
@@ -14,6 +14,6 @@
     ( file_id, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-    , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-     )
+    , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+    , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
     IMPLICIT NONE
@@ -43,7 +43,12 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_stamp_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_stamp_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_units
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_name
 
       CALL xios(get_file_handle) &
@@ -52,6 +57,6 @@
       ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-      , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-       )
+      , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+      , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
   END SUBROUTINE xios(set_file_attr)
@@ -60,6 +65,6 @@
     ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-    , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-     )
+    , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+    , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
     IMPLICIT NONE
@@ -88,13 +93,18 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_stamp_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_stamp_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_units
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_name
 
       CALL xios(set_file_attr_hdl_)  &
       ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-      , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-       )
+      , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+      , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
   END SUBROUTINE xios(set_file_attr_hdl)
@@ -103,6 +113,6 @@
     ( file_hdl, append_, compression_level_, convention_, cyclic_, description_, enabled_, format_  &
     , min_digits_, mode_, name_, name_suffix_, output_freq_, output_level_, par_access_, record_offset_  &
-    , split_freq_, split_freq_format_, sync_freq_, time_counter_, time_counter_name_, timeseries_  &
-    , ts_prefix_, type_ )
+    , split_freq_, split_freq_format_, sync_freq_, time_counter_, time_counter_name_, time_stamp_format_  &
+    , time_stamp_name_, time_units_, timeseries_, ts_prefix_, type_, uuid_format_, uuid_name_ )
 
     IMPLICIT NONE
@@ -131,7 +141,12 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_counter_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_stamp_format_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_stamp_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_units_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timeseries_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_format_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: uuid_name_
 
       IF (PRESENT(append_)) THEN
@@ -238,4 +253,19 @@
       ENDIF
 
+      IF (PRESENT(time_stamp_format_)) THEN
+        CALL cxios_set_file_time_stamp_format &
+      (file_hdl%daddr, time_stamp_format_, len(time_stamp_format_))
+      ENDIF
+
+      IF (PRESENT(time_stamp_name_)) THEN
+        CALL cxios_set_file_time_stamp_name &
+      (file_hdl%daddr, time_stamp_name_, len(time_stamp_name_))
+      ENDIF
+
+      IF (PRESENT(time_units_)) THEN
+        CALL cxios_set_file_time_units &
+      (file_hdl%daddr, time_units_, len(time_units_))
+      ENDIF
+
       IF (PRESENT(timeseries_)) THEN
         CALL cxios_set_file_timeseries &
@@ -253,4 +283,14 @@
       ENDIF
 
+      IF (PRESENT(uuid_format_)) THEN
+        CALL cxios_set_file_uuid_format &
+      (file_hdl%daddr, uuid_format_, len(uuid_format_))
+      ENDIF
+
+      IF (PRESENT(uuid_name_)) THEN
+        CALL cxios_set_file_uuid_name &
+      (file_hdl%daddr, uuid_name_, len(uuid_name_))
+      ENDIF
+
   END SUBROUTINE xios(set_file_attr_hdl_)
 
@@ -258,6 +298,6 @@
     ( file_id, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-    , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-     )
+    , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+    , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
     IMPLICIT NONE
@@ -287,7 +327,12 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_stamp_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_stamp_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_units
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_name
 
       CALL xios(get_file_handle) &
@@ -296,6 +341,6 @@
       ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-      , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-       )
+      , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+      , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
   END SUBROUTINE xios(get_file_attr)
@@ -304,6 +349,6 @@
     ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-    , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-     )
+    , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+    , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
     IMPLICIT NONE
@@ -332,13 +377,18 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_stamp_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_stamp_name
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_units
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_format
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_name
 
       CALL xios(get_file_attr_hdl_)  &
       ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-      , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-       )
+      , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+      , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
   END SUBROUTINE xios(get_file_attr_hdl)
@@ -347,6 +397,6 @@
     ( file_hdl, append_, compression_level_, convention_, cyclic_, description_, enabled_, format_  &
     , min_digits_, mode_, name_, name_suffix_, output_freq_, output_level_, par_access_, record_offset_  &
-    , split_freq_, split_freq_format_, sync_freq_, time_counter_, time_counter_name_, timeseries_  &
-    , ts_prefix_, type_ )
+    , split_freq_, split_freq_format_, sync_freq_, time_counter_, time_counter_name_, time_stamp_format_  &
+    , time_stamp_name_, time_units_, timeseries_, ts_prefix_, type_, uuid_format_, uuid_name_ )
 
     IMPLICIT NONE
@@ -375,7 +425,12 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_counter_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_stamp_format_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_stamp_name_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_units_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timeseries_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: ts_prefix_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_format_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: uuid_name_
 
       IF (PRESENT(append_)) THEN
@@ -482,4 +537,19 @@
       ENDIF
 
+      IF (PRESENT(time_stamp_format_)) THEN
+        CALL cxios_get_file_time_stamp_format &
+      (file_hdl%daddr, time_stamp_format_, len(time_stamp_format_))
+      ENDIF
+
+      IF (PRESENT(time_stamp_name_)) THEN
+        CALL cxios_get_file_time_stamp_name &
+      (file_hdl%daddr, time_stamp_name_, len(time_stamp_name_))
+      ENDIF
+
+      IF (PRESENT(time_units_)) THEN
+        CALL cxios_get_file_time_units &
+      (file_hdl%daddr, time_units_, len(time_units_))
+      ENDIF
+
       IF (PRESENT(timeseries_)) THEN
         CALL cxios_get_file_timeseries &
@@ -497,4 +567,14 @@
       ENDIF
 
+      IF (PRESENT(uuid_format_)) THEN
+        CALL cxios_get_file_uuid_format &
+      (file_hdl%daddr, uuid_format_, len(uuid_format_))
+      ENDIF
+
+      IF (PRESENT(uuid_name_)) THEN
+        CALL cxios_get_file_uuid_name &
+      (file_hdl%daddr, uuid_name_, len(uuid_name_))
+      ENDIF
+
   END SUBROUTINE xios(get_file_attr_hdl_)
 
@@ -502,6 +582,6 @@
     ( file_id, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-    , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-     )
+    , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+    , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
     IMPLICIT NONE
@@ -548,4 +628,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter_name
       LOGICAL(KIND=C_BOOL) :: time_counter_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_stamp_format
+      LOGICAL(KIND=C_BOOL) :: time_stamp_format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_stamp_name
+      LOGICAL(KIND=C_BOOL) :: time_stamp_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_units
+      LOGICAL(KIND=C_BOOL) :: time_units_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries
       LOGICAL(KIND=C_BOOL) :: timeseries_tmp
@@ -554,4 +640,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_format
+      LOGICAL(KIND=C_BOOL) :: uuid_format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_name
+      LOGICAL(KIND=C_BOOL) :: uuid_name_tmp
 
       CALL xios(get_file_handle) &
@@ -560,6 +650,6 @@
       ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-      , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-       )
+      , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+      , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
   END SUBROUTINE xios(is_defined_file_attr)
@@ -568,6 +658,6 @@
     ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
     , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-    , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-     )
+    , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+    , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
     IMPLICIT NONE
@@ -613,4 +703,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter_name
       LOGICAL(KIND=C_BOOL) :: time_counter_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_stamp_format
+      LOGICAL(KIND=C_BOOL) :: time_stamp_format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_stamp_name
+      LOGICAL(KIND=C_BOOL) :: time_stamp_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_units
+      LOGICAL(KIND=C_BOOL) :: time_units_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries
       LOGICAL(KIND=C_BOOL) :: timeseries_tmp
@@ -619,10 +715,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_format
+      LOGICAL(KIND=C_BOOL) :: uuid_format_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_name
+      LOGICAL(KIND=C_BOOL) :: uuid_name_tmp
 
       CALL xios(is_defined_file_attr_hdl_)  &
       ( file_hdl, append, compression_level, convention, cyclic, description, enabled, format, min_digits  &
       , mode, name, name_suffix, output_freq, output_level, par_access, record_offset, split_freq  &
-      , split_freq_format, sync_freq, time_counter, time_counter_name, timeseries, ts_prefix, type  &
-       )
+      , split_freq_format, sync_freq, time_counter, time_counter_name, time_stamp_format, time_stamp_name  &
+      , time_units, timeseries, ts_prefix, type, uuid_format, uuid_name )
 
   END SUBROUTINE xios(is_defined_file_attr_hdl)
@@ -631,6 +731,6 @@
     ( file_hdl, append_, compression_level_, convention_, cyclic_, description_, enabled_, format_  &
     , min_digits_, mode_, name_, name_suffix_, output_freq_, output_level_, par_access_, record_offset_  &
-    , split_freq_, split_freq_format_, sync_freq_, time_counter_, time_counter_name_, timeseries_  &
-    , ts_prefix_, type_ )
+    , split_freq_, split_freq_format_, sync_freq_, time_counter_, time_counter_name_, time_stamp_format_  &
+    , time_stamp_name_, time_units_, timeseries_, ts_prefix_, type_, uuid_format_, uuid_name_ )
 
     IMPLICIT NONE
@@ -676,4 +776,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: time_counter_name_
       LOGICAL(KIND=C_BOOL) :: time_counter_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_stamp_format_
+      LOGICAL(KIND=C_BOOL) :: time_stamp_format__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_stamp_name_
+      LOGICAL(KIND=C_BOOL) :: time_stamp_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_units_
+      LOGICAL(KIND=C_BOOL) :: time_units__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: timeseries_
       LOGICAL(KIND=C_BOOL) :: timeseries__tmp
@@ -682,4 +788,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_format_
+      LOGICAL(KIND=C_BOOL) :: uuid_format__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: uuid_name_
+      LOGICAL(KIND=C_BOOL) :: uuid_name__tmp
 
       IF (PRESENT(append_)) THEN
@@ -803,4 +913,22 @@
       ENDIF
 
+      IF (PRESENT(time_stamp_format_)) THEN
+        time_stamp_format__tmp = cxios_is_defined_file_time_stamp_format &
+      (file_hdl%daddr)
+        time_stamp_format_ = time_stamp_format__tmp
+      ENDIF
+
+      IF (PRESENT(time_stamp_name_)) THEN
+        time_stamp_name__tmp = cxios_is_defined_file_time_stamp_name &
+      (file_hdl%daddr)
+        time_stamp_name_ = time_stamp_name__tmp
+      ENDIF
+
+      IF (PRESENT(time_units_)) THEN
+        time_units__tmp = cxios_is_defined_file_time_units &
+      (file_hdl%daddr)
+        time_units_ = time_units__tmp
+      ENDIF
+
       IF (PRESENT(timeseries_)) THEN
         timeseries__tmp = cxios_is_defined_file_timeseries &
@@ -821,4 +949,16 @@
       ENDIF
 
+      IF (PRESENT(uuid_format_)) THEN
+        uuid_format__tmp = cxios_is_defined_file_uuid_format &
+      (file_hdl%daddr)
+        uuid_format_ = uuid_format__tmp
+      ENDIF
+
+      IF (PRESENT(uuid_name_)) THEN
+        uuid_name__tmp = cxios_is_defined_file_uuid_name &
+      (file_hdl%daddr)
+        uuid_name_ = uuid_name__tmp
+      ENDIF
+
   END SUBROUTINE xios(is_defined_file_attr_hdl_)
 
